/* $Id: openmp0.c 838 2006-06-19 12:03:17Z olau $ */

#include <stdio.h>
#ifdef _OPENMP
#include <omp.h>
#include "ompdefs.h"
#endif

int main(int argc, char *argv[])
{
#ifdef _OPENMP
  printf("OpenMP v%s (%d)\n", OPENMPVER, _OPENMP);
  printf("Anzahl der Prozessoren: %d\n",
    omp_get_num_procs());
  printf("Dies ist Thread %3d von %3d\n",
    omp_get_thread_num(),
    omp_get_num_threads());
#else
  printf("OpenMP nicht verfügbar.\n");
#endif /* _OPENMP */
  printf("Fertig.\n");
  return 0;
}
